=== debian/changelog ===
meep-openmpi (1.23.0-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 13 Jul 2022 23:17:34 +0200

meep-openmpi (1.23.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: change soname from 27 to 28

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 04 Jul 2022 19:14:04 +0000

meep-openmpi (1.22.0-2) unstable; urgency=medium

  * upload source

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 05 Mar 2022 18:32:19 +0100

meep-openmpi (1.22.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: use dh13
  * debian/control: recommend libopenblas0 instead of libopenblas-base
                    (Closes: #994471)
  * bump soname from 23 to 27
  * fix build on i386

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 04 Mar 2022 23:32:19 +0100
