=== debian/control ===
--- 
+++ 
@@ -68,7 +68,7 @@
  As opposed to meep-mpi this package also contains the OpenMPI version of
  libhdf5.
 
-Package: libmeep-openmpi28
+Package: libmeep-openmpi29
 Section: libs
 Conflicts: libmeep-openmpi6
 	, libmeep-openmpi7
@@ -79,6 +79,7 @@
 	, libmeep-openmpi22
 	, libmeep-openmpi23
 	, libmeep-openmpi27
+	, libmeep-openmpi28
 	, libmeep-lam4-6
 	, libmeep-lam4-7
 	, libmeep-lam4-8
@@ -97,6 +98,7 @@
 	, libmeep-mpi-default23
 	, libmeep-mpi-default27
 	, libmeep-mpi-default28
+	, libmeep-mpi-default29
 	, libmeep-mpich2-6
 	, libmeep-mpich2-7
 	, libmeep-mpich2-8
@@ -116,6 +118,7 @@
 	, libmeep23
 	, libmeep27
 	, libmeep28
+	, libmeep29
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
@@ -153,7 +156,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-mpich2-dev, libmeep-lam4-dev
-Depends: libmeep-openmpi28 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-openmpi29 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -188,7 +191,7 @@
 Package: python3-meep-openmpi
 Section: python
 Architecture: any
-Depends: libmeep-openmpi28 (= ${binary:Version})
+Depends: libmeep-openmpi29 (= ${binary:Version})
         , ${misc:Depends}
         , ${shlibs:Depends}
         , python3-numpy
