=== debian/changelog ===
meep-openmpi (1.25.0-2) unstable; urgency=medium

  * debian/control: also add Conflicts: for python3 packages
                    (Closes: #1035003)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 09 May 2023 22:49:17 +0200

meep-openmpi (1.25.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: update github watch file

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 07 Dec 2022 08:45:00 +0100
