=== debian/control ===
--- 
+++ 
@@ -68,7 +68,7 @@
  As opposed to meep-mpi this package also contains the OpenMPI version of
  libhdf5.
 
-Package: libmeep-openmpi29
+Package: libmeep-openmpi30
 Section: libs
 Conflicts: libmeep-openmpi6
 	, libmeep-openmpi7
@@ -80,6 +80,7 @@
 	, libmeep-openmpi23
 	, libmeep-openmpi27
 	, libmeep-openmpi28
+	, libmeep-openmpi29
 	, libmeep-lam4-6
 	, libmeep-lam4-7
 	, libmeep-lam4-8
@@ -99,6 +100,7 @@
 	, libmeep-mpi-default27
 	, libmeep-mpi-default28
 	, libmeep-mpi-default29
+	, libmeep-mpi-default30
 	, libmeep-mpich2-6
 	, libmeep-mpich2-7
 	, libmeep-mpich2-8
@@ -119,6 +121,7 @@
 	, libmeep27
 	, libmeep28
 	, libmeep29
+	, libmeep30
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for using parallel (OpenMPI) version of meep
@@ -156,7 +159,7 @@
 Section: libdevel
 Architecture: any
 Conflicts: libmeep-dev, libmeep-mpi-dev, libmeep-mpich-dev, libmeep-mpich2-dev, libmeep-lam4-dev
-Depends: libmeep-openmpi29 (= ${binary:Version}), ${misc:Depends}
+Depends: libmeep-openmpi30 (= ${binary:Version}), ${misc:Depends}
 Description: development library for using parallel (OpenMPI) version of meep
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
@@ -191,11 +194,12 @@
 Package: python3-meep-openmpi
 Section: python
 Architecture: any
-Depends: libmeep-openmpi29 (= ${binary:Version})
+Depends: libmeep-openmpi30 (= ${binary:Version})
         , ${misc:Depends}
         , ${shlibs:Depends}
         , python3-numpy
         , python3
+Conflicts: python3-meep-mpi-default, python3-meep
 Description: software package for FDTD simulation with Python
  Meep is a free and open-source software package for electromagnetics
  simulation via the finite-difference time-domain (FDTD) method.
